Bug 2582

Summary: Option to download messages but not attachments ("Messages only")
Product: [Maemo Official Applications] Email Reporter: Walther <walther.zwart>
Component: GeneralAssignee: modest-bugs
Status: RESOLVED WONTFIX QA Contact: modest-bugs
Severity: enhancement    
Priority: Low CC: andre_klapper, eero.tamminen, ferd352+maemo.org, lfl, no.spa, quim.gil, simonpittock, svillar, walther.zwart
Version: 5.0:(10.2010.19-1)   
Target Milestone: ---   
Hardware: All   
OS: Linux   

Description Walther (reporter) 2007-12-17 21:21:34 UTC
STEPS TO REPRODUCE THE PROBLEM:
Go to Tools -> Accounts
Select an account and click Edit
In the account tab there is an option called retreive. 
You should be able to configure what to download automatically.

EXPECTED OUTCOME:
To be able to choose between: 
- headers
- messages
- messages and attachments

ACTUAL OUTCOME:
You can choose between:
- headers
- messages and attachments
But you can not choose messages
Comment 1 Quim Gil nokia 2008-12-30 00:39:16 UTC
wondering whether this feature request made it to the Fremantle plans.
Comment 2 Andre Klapper maemo.org 2009-02-13 17:11:41 UTC
This is not planned for Fremantle according to the Spec, but at least
considered (as "Messages only" is mentioned, but currently deprecated).
Comment 3 Quim Gil nokia 2009-02-13 18:23:27 UTC
The project is still considering for Fremantle, although there are other
priorities that go first. Could come perhaps in a maintenance release, and if
not left for Harmattan.

Nobody questions the usefulness of the proposal.
Comment 4 Andre Klapper maemo.org 2009-06-22 16:26:18 UTC
Still valid in current Fremantle --> updating Version field.
Comment 5 Sergio Villar Senin 2010-01-13 15:04:33 UTC
Bodystruct support that we added to tinymail will allow us to download
attachments on demand in IMAP servers (it's not possible in POP as it always
download the full message).

So this means that you'll get the feature in some sw update for the N900
Comment 6 Walther (reporter) 2010-01-13 15:14:53 UTC
I don't want to fill bugreports with unnecessary comments, but since I'm the
only reporter on this bug, I'm going to do it anyway:

Thanks for listening to users and not forgetting old bug reports!

I submitted this bug for my N810, but my N900 should be on its way :)
Comment 7 Luis 2010-01-13 17:22:56 UTC
(In reply to comment #5)
> Bodystruct support that we added to tinymail will allow us to download
> attachments on demand in IMAP servers (it's not possible in POP as it always
> download the full message).
> 
> So this means that you'll get the feature in some sw update for the N900
> 

That's bad news for POP3 users like me. :-( 
I'm guessing that the system doesn't have an easy way of finding out where the
attachments begin in a pop3 email. Would it be possible to subvert this
behavior by downloading the first, say 5KB from the message only?

At least, congratulations for helping out some of the people out there!
Comment 8 Sergio Villar Senin 2010-01-13 18:15:41 UTC
(In reply to comment #7)
> (In reply to comment #5)
> > Bodystruct support that we added to tinymail will allow us to download
> > attachments on demand in IMAP servers (it's not possible in POP as it always
> > download the full message).
> > 
> > So this means that you'll get the feature in some sw update for the N900
> > 
> 
> That's bad news for POP3 users like me. :-( 
> I'm guessing that the system doesn't have an easy way of finding out where the
> attachments begin in a pop3 email. Would it be possible to subvert this
> behavior by downloading the first, say 5KB from the message only?
> 
> At least, congratulations for helping out some of the people out there!

Well POP3 is really an old fashioned protocol that does not support half of the
advantages of IMAP. I know that most of the times it's not user's choice,
providers just offer you one.

Anyway POP3 does not have support for such kind of operations. There could be
some way to do it in a hackish way, like disconnecting while downloading but
it's very likely to add many problems to the POP3 implementation. Note that
most likely there is no email client that can do that.
Comment 9 Luis 2010-01-13 21:42:24 UTC
> > 
> > That's bad news for POP3 users like me. :-( 
> > I'm guessing that the system doesn't have an easy way of finding out where the
> > attachments begin in a pop3 email. Would it be possible to subvert this
> > behavior by downloading the first, say 5KB from the message only?
> > 
> 
> Well POP3 is really an old fashioned protocol that does not support half of the
> advantages of IMAP. I know that most of the times it's not user's choice,
> providers just offer you one.

Yes, there are lots of limitations for pop3 (and smtp) but sometimes we have no
choice...Sometimes, even when there is the choice of using IMAP, slow or
unstable connections make it unusable.

> 
> Anyway POP3 does not have support for such kind of operations. There could be
> some way to do it in a hackish way, like disconnecting while downloading but
> it's very likely to add many problems to the POP3 implementation. Note that
> most likely there is no email client that can do that.

I'm not sure how they do it. But at least two major email clients did it:
Capypso Email and Pegasus Mail. I know that currently, WM5 email client does
just this: you specify the limit and it downlaods only up to that point. My
pop3 server have never complained about anything.

There is also another current major email client: Thunderbird (or Icedove).
Althought you don't specify the limit, but you specify the maximum length that
it considers when deciding to download a message (otherwise it downloads only
the headers). This is not as good as downloding just a part of a message, but
at least it seems to avoid hacks. It also solves the problem of wasting all
your data credits.
Comment 10 Andre Klapper maemo.org 2010-03-15 20:55:37 UTC
Setting explicit PR1.2 milestone (so it's clearer in which public release the
fix will be available to users).

Sorry for the bugmail noise (you can filter on this message).
Comment 11 Simon Pittock 2010-05-27 04:44:15 UTC
Has this actually been fixed?  I can see no sign of a setting to disable
automatic download the attachment having installed PR1.2.

Thanks :)
Comment 12 Taomyn 2010-05-27 09:19:45 UTC
I can't find it anywhere either - has this been missed out somehow?
Comment 13 Andre Klapper maemo.org 2010-06-07 12:59:58 UTC
(In reply to comment #5)
> Bodystruct support that we added to tinymail will allow us to download
> attachments on demand in IMAP servers (it's not possible in POP as it always
> download the full message).

I think that no User Interface has been added for supporting this while it
would be possible in the backend. Hence reopening.
Comment 14 nospa 2010-10-13 01:39:05 UTC
Please fix this problem - email attachements during IMAP connection should
NEVER been down downloaded without user request!
Comment 15 Andre Klapper maemo.org 2012-03-24 11:45:51 UTC
The Maemo 5 User Interface and Maemo 5 platform components (e.g. libraries)
used for the N900 are considered stable by Nokia and it seems that there are no
plans for official updates currently, hence nobody plans to work on this
enhancement/wishlist request. 
(And in case you feel like discussing this situation: Nokia Customer Care or
http://talk.maemo.org would be the place to do so as you will not reach Nokia
officials in this community bugtracker - though all of this is really no news.)

Reflecting this status by setting RESOLVED WONTFIX for this
enhancement/wishlist request (see
https://bugs.maemo.org/page.cgi?id=fields.html#status for status explanations).

There is a small chance for issues in those Maemo components that are open
source: Contributed patches could be included and made available in the Maemo 5
Community CSSU updates. 
The Maemo CSSU project is run by a small team of volunteers; see
http://wiki.maemo.org/CSSU for more information.
So in case that you can provide a patch that fixes the reported problem, please
feel encouraged to file a request under
https://bugs.maemo.org/enter_bug.cgi?product=Maemo%205%20Community%20SSU .
Please note: The Maemo CSSU project is not related in any way to Nokia.


( Tag for mass-deleting bugmail: [cleanup20120324] )